org.apache.poi.hdgf

## Class HDGFDiagram

- java.lang.Object
- - org.apache.poi.POIDocument
  - - org.apache.poi.POIReadOnlyDocument
    - - org.apache.poi.hdgf.HDGFDiagram

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public final class HDGFDiagram
      extends POIReadOnlyDocument

  See http://www.redferni.uklinux.net/visio/ http://www.gnome.ru/projects/docs/vsdocs.html http://www.gnome.ru/projects/docs/slide1.png http://www.gnome.ru/projects/docs/slide2.png

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HDGFDiagram(DirectoryNode dir)`
    `HDGFDiagram(POIFSFileSystem fs)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `debug()` Prints out some simple debug on the base contents of the file.
    `long` | `getDocumentSize()`
    `Stream[]` | `getTopLevelStreams()` Returns all the top level streams, which are the streams pointed to by the TrailerStream.
    `TrailerStream` | `getTrailerStream()` Returns the TrailerStream, which is at the root of the tree of Streams.

    - ### Methods inherited from class org.apache.poi.POIReadOnlyDocument

      `write, write, write`

    - ### Methods inherited from class org.apache.poi.POIDocument

      `clearDirectory, close, createInformationProperties, getDirectory, getDocumentSummaryInformation, getEncryptedPropertyStreamName, getEncryptionInfo, getPropertySet, getPropertySet, getSummaryInformation, initDirectory, readProperties, replaceDirectory, validateInPlaceWritePossible, writeProperties, writeProperties, writeProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HDGFDiagram

          public HDGFDiagram(POIFSFileSystem fs)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### HDGFDiagram

          public HDGFDiagram(DirectoryNode dir)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getTrailerStream

          public TrailerStream getTrailerStream()

      Returns the TrailerStream, which is at the root of the tree of Streams.
      Returns:
        the TrailerStream

    - #### getTopLevelStreams

          public Stream[] getTopLevelStreams()

      Returns all the top level streams, which are the streams pointed to by the TrailerStream.
      Returns:
        the top level streams

    - #### getDocumentSize

          public long getDocumentSize()

    - #### debug

          public void debug()

      Prints out some simple debug on the base contents of the file.
      See Also:
        `VSDDumper`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.